SUSE: 2019:2868-1 important: samba

    Date 30 Oct 2019
    403
    Posted By LinuxSecurity Advisories
    An update that solves three vulnerabilities and has four fixes is now available.
    
       SUSE Security Update: Security update for samba
    ______________________________________________________________________________
    
    Announcement ID:    SUSE-SU-2019:2868-1
    Rating:             important
    References:         #1125601 #1127153 #1130245 #1134452 #1144902 
                        #1154289 #1154598 
    Cross-References:   CVE-2019-10218 CVE-2019-14833 CVE-2019-14847
                       
    Affected Products:
                        SUSE Linux Enterprise Module for Packagehub Subpackages 15
                        SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
                        SUSE Linux Enterprise Module for Basesystem 15
                        SUSE Linux Enterprise High Availability 15
    ______________________________________________________________________________
    
       An update that solves three vulnerabilities and has four
       fixes is now available.
    
    Description:
    
       This update for samba fixes the following issues:
    
       Security issues fixed:
    
       - CVE-2019-14847: User with "get changes" permission can crash AD DC LDAP
         server via dirsync (bsc#1154598).
       - CVE-2019-10218: Client code can return filenames containing path
         separators (bsc#1144902).
       - CVE-2019-14833: Fixed Accent with "check script password" where the
         Samba AD DC check password script does not receive the full password
         (bsc#1154289).
    
       Other issues fixed:
    
       - Fix vfs_ceph realpath (bsc#1134452).
       - MacOS credit accounting breaks with async SESSION SETUP (bsc#1125601).
       - Mac OS X SMB2 implmenetation sees Input/output error or Resource
         temporarily unavailable and drops connection
       - Explicitly enable libcephfs POSIX ACL support (bsc#1130245).
       - Fix vfs_ceph ftruncate and fallocate handling (bsc#1127153).
    
    
    Patch Instructions:
    
       To install this SUSE Security Update use the SUSE recommended installation methods
       like YaST online_update or "zypper patch".
    
       Alternatively you can run the command listed for your product:
    
       - SUSE Linux Enterprise Module for Packagehub Subpackages 15:
    
          zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-2019-2868=1
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    
          zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-2868=1
    
       - SUSE Linux Enterprise Module for Basesystem 15:
    
          zypper in -t patch SUSE-SLE-Module-Basesystem-15-2019-2868=1
    
       - SUSE Linux Enterprise High Availability 15:
    
          zypper in -t patch SUSE-SLE-Product-HA-15-2019-2868=1
    
    
    
    Package List:
    
       - SUSE Linux Enterprise Module for Packagehub Subpackages 15 (aarch64 ppc64le s390x x86_64):
    
          samba-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          samba-debugsource-4.7.11+git.186.d75219614c3-4.30.1
          samba-python-4.7.11+git.186.d75219614c3-4.30.1
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (aarch64 ppc64le s390x x86_64):
    
          ctdb-pcp-pmda-4.7.11+git.186.d75219614c3-4.30.1
          ctdb-pcp-pmda-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          ctdb-tests-4.7.11+git.186.d75219614c3-4.30.1
          ctdb-tests-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          samba-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          samba-debugsource-4.7.11+git.186.d75219614c3-4.30.1
          samba-python-4.7.11+git.186.d75219614c3-4.30.1
          samba-test-4.7.11+git.186.d75219614c3-4.30.1
          samba-test-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
    
       - SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (noarch):
    
          samba-doc-4.7.11+git.186.d75219614c3-4.30.1
    
       - SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    
          libdcerpc-binding0-4.7.11+git.186.d75219614c3-4.30.1
          libdcerpc-binding0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libdcerpc-devel-4.7.11+git.186.d75219614c3-4.30.1
          libdcerpc-samr-devel-4.7.11+git.186.d75219614c3-4.30.1
          libdcerpc-samr0-4.7.11+git.186.d75219614c3-4.30.1
          libdcerpc-samr0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libdcerpc0-4.7.11+git.186.d75219614c3-4.30.1
          libdcerpc0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libndr-devel-4.7.11+git.186.d75219614c3-4.30.1
          libndr-krb5pac-devel-4.7.11+git.186.d75219614c3-4.30.1
          libndr-krb5pac0-4.7.11+git.186.d75219614c3-4.30.1
          libndr-krb5pac0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libndr-nbt-devel-4.7.11+git.186.d75219614c3-4.30.1
          libndr-nbt0-4.7.11+git.186.d75219614c3-4.30.1
          libndr-nbt0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libndr-standard-devel-4.7.11+git.186.d75219614c3-4.30.1
          libndr-standard0-4.7.11+git.186.d75219614c3-4.30.1
          libndr-standard0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libndr0-4.7.11+git.186.d75219614c3-4.30.1
          libndr0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libnetapi-devel-4.7.11+git.186.d75219614c3-4.30.1
          libnetapi0-4.7.11+git.186.d75219614c3-4.30.1
          libnetapi0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-credentials-devel-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-credentials0-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-credentials0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-errors-devel-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-errors0-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-errors0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-hostconfig-devel-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-hostconfig0-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-hostconfig0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-passdb-devel-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-passdb0-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-passdb0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-policy-devel-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-policy0-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-util-devel-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-util0-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-util0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsamdb-devel-4.7.11+git.186.d75219614c3-4.30.1
          libsamdb0-4.7.11+git.186.d75219614c3-4.30.1
          libsamdb0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsmbclient-devel-4.7.11+git.186.d75219614c3-4.30.1
          libsmbclient0-4.7.11+git.186.d75219614c3-4.30.1
          libsmbclient0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsmbconf-devel-4.7.11+git.186.d75219614c3-4.30.1
          libsmbconf0-4.7.11+git.186.d75219614c3-4.30.1
          libsmbconf0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsmbldap-devel-4.7.11+git.186.d75219614c3-4.30.1
          libsmbldap2-4.7.11+git.186.d75219614c3-4.30.1
          libsmbldap2-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libtevent-util-devel-4.7.11+git.186.d75219614c3-4.30.1
          libtevent-util0-4.7.11+git.186.d75219614c3-4.30.1
          libtevent-util0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libwbclient-devel-4.7.11+git.186.d75219614c3-4.30.1
          libwbclient0-4.7.11+git.186.d75219614c3-4.30.1
          libwbclient0-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          samba-4.7.11+git.186.d75219614c3-4.30.1
          samba-client-4.7.11+git.186.d75219614c3-4.30.1
          samba-client-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          samba-core-devel-4.7.11+git.186.d75219614c3-4.30.1
          samba-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          samba-debugsource-4.7.11+git.186.d75219614c3-4.30.1
          samba-libs-4.7.11+git.186.d75219614c3-4.30.1
          samba-libs-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          samba-winbind-4.7.11+git.186.d75219614c3-4.30.1
          samba-winbind-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
    
       - SUSE Linux Enterprise Module for Basesystem 15 (x86_64):
    
          libdcerpc-binding0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libdcerpc-binding0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libdcerpc0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libdcerpc0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libndr-krb5pac0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libndr-krb5pac0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libndr-nbt0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libndr-nbt0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libndr-standard0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libndr-standard0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libndr0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libndr0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libnetapi0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libnetapi0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-credentials0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-credentials0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-errors0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-errors0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-hostconfig0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-hostconfig0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-passdb0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-passdb0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-util0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libsamba-util0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsamdb0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libsamdb0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsmbclient0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libsmbclient0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsmbconf0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libsmbconf0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libsmbldap2-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libsmbldap2-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libtevent-util0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libtevent-util0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          libwbclient0-32bit-4.7.11+git.186.d75219614c3-4.30.1
          libwbclient0-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          samba-client-32bit-4.7.11+git.186.d75219614c3-4.30.1
          samba-client-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          samba-libs-32bit-4.7.11+git.186.d75219614c3-4.30.1
          samba-libs-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          samba-winbind-32bit-4.7.11+git.186.d75219614c3-4.30.1
          samba-winbind-32bit-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
    
       - SUSE Linux Enterprise High Availability 15 (aarch64 ppc64le s390x x86_64):
    
          ctdb-4.7.11+git.186.d75219614c3-4.30.1
          ctdb-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          samba-debuginfo-4.7.11+git.186.d75219614c3-4.30.1
          samba-debugsource-4.7.11+git.186.d75219614c3-4.30.1
    
    
    References:
    
       https://www.suse.com/security/cve/CVE-2019-10218.html
       https://www.suse.com/security/cve/CVE-2019-14833.html
       https://www.suse.com/security/cve/CVE-2019-14847.html
       https://bugzilla.suse.com/1125601
       https://bugzilla.suse.com/1127153
       https://bugzilla.suse.com/1130245
       https://bugzilla.suse.com/1134452
       https://bugzilla.suse.com/1144902
       https://bugzilla.suse.com/1154289
       https://bugzilla.suse.com/1154598
    
    _______________________________________________
    sle-security-updates mailing list
    This email address is being protected from spambots. You need JavaScript enabled to view it.
    https://lists.suse.com/mailman/listinfo/sle-security-updates
    

    LinuxSecurity Poll

    Are you considering making the switch to Purism's new Librem 14 Linux laptop to improve your security and privacy online?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/31-are-you-considering-making-the-switch-to-purism-s-new-librem-14-linux-laptop-to-improve-your-security-and-privacy-online?task=poll.vote&format=json
    31
    radio
    [{"id":"109","title":"Yes - the hardware kill switches and default ad blocking\/tracking protection sold me on it.","votes":"2","type":"x","order":"1","pct":40,"resources":[]},{"id":"110","title":"Not sure yet - I need to do more research.","votes":"2","type":"x","order":"2","pct":40,"resources":[]},{"id":"111","title":"No - I'm satisfied with my current laptop and have no security\/privacy concerns.","votes":"1","type":"x","order":"3","pct":20,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350
    bottom 200

    Advisories

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.